Table of Contents

Module: defer | Twisted-0.19.0/twisted/internet/defer.py
--- | ---
Imported modules |
--- | ---
from twisted.python import log, failure import types
Functions |
_sched fail logError succeed timeout
| _sched
    _sched ( m,  r )
| fail
    fail ( result )
| logError
    logError ( err )
| succeed
    succeed ( result )
| timeout
    timeout ( deferred )
Classes |
AlreadyArmedError |
AlreadyCalledError |
Deferred | This is a callback which will be put off until later.
DeferredList | I combine a group of deferreds into one callback.
TimeoutError |

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0